Documentation Index
Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
Use this file to discover all available pages before exploring further.
DELETE /v1/memory_stores/{memory_store_id}/memories/{memory_id}
删除指定的记忆条目。删除操作会生成一条 action: "deleted" 的版本记录。
请求头
| 头部 | 必选 | 说明 |
|---|
Authorization | 是 | Bearer <PAT> |
路径参数
| 参数 | 类型 | 必选 | 说明 |
|---|
memory_store_id | string | 是 | Memory Store ID(memstore_ 前缀) |
memory_id | string | 是 | 记忆条目 ID(mem_ 前缀) |
示例请求
curl -X DELETE "https://openapi.qoder.sh/api/v1/cloud/memory_stores/memstore_xxx/memories/mem_xxx" \
-H "Authorization: Bearer $QODER_PAT"
示例响应
HTTP 204 No Content
无响应体。删除成功。
错误码
| HTTP | type | 触发条件 |
|---|
| 401 | authentication_error | 未提供或无效的认证令牌 |
| 404 | not_found_error | 指定的 Memory Store 或记忆条目不存在 |
注意事项
- 删除操作返回 HTTP 204 无内容
- 删除会生成一条
action: "deleted" 的版本记录(可通过版本列表接口查看)
- 删除后无法通过获取接口访问该条目
- 删除记录中
content_sha256 为空字符串,size 为 0
完整错误信封说明详见 错误参考。